<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.centre.mapper.SystemConfigItemMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.storlead.centre.entity.SystemConfigItemEntity">
        <id column="item_id" property="itemId" />
    <result column="create_time" property="createTime" />
    <result column="update_time" property="updateTime" />
    <result column="is_delete" property="isDelete" />
    <result column="enabled" property="enabled" />
    <result column="create_by" property="createBy" />
    <result column="owner_by" property="ownerBy" />
    <result column="update_by" property="updateBy" />
    <result column="sort" property="sort" />
        <result column="item_name" property="itemName" />
        <result column="item_code" property="itemCode" />
        <result column="item_data_type" property="itemDataType" />
        <result column="item_data_format_desc" property="itemDataFormatDesc" />
        <result column="item_format_value" property="itemFormatValue" />
        <result column="item_desc" property="itemDesc" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time,
        update_time,
        is_delete,
        enabled,
        create_by,
        owner_by,
        update_by,
        sort,
        item_id, item_name, item_code, item_data_type, item_data_format_desc, item_format_value, item_desc
    </sql>

</mapper>
